manette n64



  • bonjour
    j'ai acheté une manette n64 usb pour profite au maximum des jeux
    malheureusement je n’arrive pas a pas configurer la manette
    j’ai bien vu quelque post a ce sujet mais rien y fait
    Si quelqu'un pouvait m'aider
    merci


  • Moderator
    Team

    Bonjour @pierre
    la manette N64 n'est pas fait pour jouer sur recalbox, elle ne dispose du bouton hotkey
    à la limite tu pourras l'utiliser uniquement sur l emulateur N64 uniquement.

    poste l'archive de support si c'est pour cet emulateur indiqué dans le post it.



  • rebonjour
    merci pour ta renonce tres rapide
    effectivement je veux utiliser la manette n64 que pour l émulateur n64


  • Moderator
    Team

    @pierre branche uniquement la manette N64 et poste l archive de support
    https://forum.recalbox.com/topic/4054/a-lire-avant-de-poster-merci

    et j ai besoin que tu fasse le test avec jstest que tu notes les numéros des boutons :

    https://github.com/recalbox/recalbox-os/wiki/Testez-votre-joystick-avec-jstest-(FR)



  • bonjour
    pour la premier parti de ce que tu me demande est ce que ça doit etre ça?

    #!/bin/sh
    
    
    GTMP="/tmp"
    DHOME="/recalbox/share/system"
    
    # to be callable by any external tool
    if test $# -eq 1
    then
        REPORTNAME=$(basename "$1" | sed -e s+'^\([^.]*\)\..*$'+'\1'+)
        OUTPUTFILE="$1"
    else
        REPORTNAME="recalbox-support-"$(date +%Y%m%d%H%M%S)
        OUTPUTFILE="/recalbox/share/saves/""$REPORTNAME"".tar.gz"
    fi
    
    TMPDIR="$GTMP""/""$REPORTNAME"
    
    f_cp() {
        test -e "$1" && cp "$1" "$2"
    }
    
    d_cp() {
        test -d "$1" && cp -pr "$1" "$2"
    }
    
    
    if mkdir "$TMPDIR" && mkdir "$TMPDIR"/{system,joysticks,lirc,kodi}
    then
        if ! cd "$TMPDIR"
        then
    	echo "Change directory failed" >&2
    	exit 1
        fi
    else
        echo "Reporting directory creation failed" >&2
        exit 1
    fi
    
    # SYSTEM
    DSYSTEM="$TMPDIR""/system"
    dmesg 	         > "$DSYSTEM""/dmesg.txt"
    lsmod 	         > "$DSYSTEM""/lsmod.txt"
    ps    	         > "$DSYSTEM""/ps.txt"
    df -h 	         > "$DSYSTEM""/df.txt"
    netstat -tuan    > "$DSYSTEM""/netstat.txt"
    lsusb -v         > "$DSYSTEM""/lsusb.txt" 2>/dev/null
    tvservice -m CEA > "$DSYSTEM""/tvservice-CEA.txt"
    tvservice -m DMT > "$DSYSTEM""/tvservice-DMT.txt"
    ifconfig -a	 > "$DSYSTEM""/ifconfig.txt"
    f_cp /recalbox/recalbox.version                               "$DSYSTEM"
    f_cp /recalbox/recalbox.arch                                  "$DSYSTEM"
    f_cp /boot/config.txt                                         "$DSYSTEM"
    f_cp /recalbox/share/system/recalbox.conf                     "$DSYSTEM"
    f_cp /recalbox/share/system/logs/recalbox.log                 "$DSYSTEM"
    f_cp /var/log/messages                                        "$DSYSTEM"
    f_cp /recalbox/share/system/.emulationstation/es_settings.cfg "$DSYSTEM"
    f_cp /recalbox/share/system/.emulationstation/es_log.txt      "$DSYSTEM"
    f_cp /recalbox/share/system/.emulationstation/es_input.cfg    "$DSYSTEM"
    f_cp /boot/recalbox-boot.conf                                 "$DSYSTEM"
    
    # joysticks
    DJOYS="$TMPDIR""/joysticks"
    find /dev/input > "$DJOYS""/inputs.txt"
    for J in /dev/input/event*
    do
        N=$(basename $J)
        evtest --info "$J"          > "$DJOYS""/evtest.""$N"".txt"
        udevadm info -q all -n "$J" > "$DJOYS""/udevadm.""$N"".txt"
    done
    
    # lirc
    DLIRC="$TMPDIR""/lirc"
    f_cp "$DHOME""/.config/lirc/lircd.conf" "$DLIRC"
    
    # kodi
    DKODI="$TMPDIR""/kodi"
    f_cp "$DHOME""/.kodi/userdata/Lircmap.xml"          "$DKODI"
    f_cp "$DHOME""/.kodi/userdata/keymaps/recalbox.xml" "$DKODI"
    d_cp "$DHOME""/.kodi/userdata/remotes"              "$DKODI"
    f_cp "$DHOME""/.kodi/temp/kodi.log"                 "$DKODI"
    
    if ! (cd "$GTMP" && tar cf -  "$REPORTNAME" | gzip -c > "$OUTPUTFILE")
    then
        echo "Reporting zip creation failed" >&2
        exit 1
    fi
    
    rm -rf "$TMPDIR"
    echo "$OUTPUTFILE"
    exit 0
    

  • Moderator
    Team

    Non tu postes le script , il est question d'une archive relis le tutoriel et regarde les captures d'écran

    Si vous avez correctement configurer winscp
    Connectez-vous en ssh via putty via winscp , executer cette commande :
    /recalbox/scripts/recalbox-support.sh
    recuperer l archive *.tar.gz



  • salut
    du coup je pense avoir avance mais je bloque sur:
    "Récupérer l'archive sur votre PC puis l'uploader vers un hébergeur de fichier "
    pour le moment j’ai récupérer ca sur putty:

    Using username "root".

    /recalbox/scripts/recalbox-support.sh

    /recalbox/share/saves/recalbox-support-20170905205634.tar.gz

    je te remercie d’avance pour ton aide



  • et pour le teste manette:

    Using username "root".

    ssh root@the_recalbox_ip

    ssh: Connection to root@the_recalbox_ip:22 exited: Connect failed: Error resolving 'the_recalbox_ip' port '22'. Name or service not known

    franchement c'est pas évident


  • Moderator
    Team

    @pierre
    il faut uploader l'archive recalbox-support-20170905205634.tar.gz sur un serveur comme indiqué sur le tutoriel.
    pour tester la manette il faut remplacer the_recalbox_ip par l'p de ta recalbox.....


  • Moderator
    Team



  • salut
    je crois avoir réussi le teste des boutons je mes les résultat en copier colee (c’est un peut long mais comme ca joubli rien)

    Driver version is 2.1.0.
    Joystick (DragonRise Inc. Generic USB Joystick ) has 7 axes (X, Y, Z, Rx, Rz, Hat0X, Hat0Y)
    and 12 buttons (Trigger, ThumbBtn, ThumbBtn2, TopBtn, TopBtn2, PinkieBtn, BaseBt n, BaseBtn2, BaseBtn3, BaseBtn4, BaseBtn5, BaseBtn6).
    Testing ... (interrupt to exit)
    Axes: 0: 0 1: 0 2: 0 3: 0 4: 0 5: 0 6: 0 Butt ons: 0:off 1:off 2:off 3:off 4:off 5:off 6:off 7:off 8:off 9:off 10:of Axes: 0: 0 1: 0 2: 0 3: 0 4: 0 5: 0 6: 0 Butt ons: 0:off 1:off 2:off 3:off 4:off 5:off 6:off 7:off 8:off 9:off 10:of Axes: 0: 0 1: 0 2: 0 3: 0 4: 0 5: 0 6: 0 Butt ons: 0:off 1:off 2:off 3:off 4:off 5:off 6:off 7:off 8:off 9:off 10:of Axes: 0: 0 1: 0 2: 0 3: 0 4: 0 5: 0 6: 0 Butt ons: 0:off 1:off 2:off 3:off 4:off 5:off 6:off 7:off 8:off 9:off 10:of



  • je bloque toujours un peut pour l’autre partie mais je ne désespère pas.


  • Moderator
    Team



  • salut

    voici le lien pour l’archive
    http://dl.free.fr/hRP2iFDn4

    j'espère que ça va marche



  • ça y est elle fonctionne,( sauf L et R pour sortir du jeu mais j’utilise un clavier)
    je te remercie beaucoup pour ton aide et ta patience


  • Moderator
    Team

    @pierre Pour L et R il faut que ta manette soit le joueur 1 si ce ne'st pas le cas il faut adapter J0 devient J1 ou J2

    peux tu poster ta fichier Input pour aider d'autres.



  • OK mais comment
    faire pour "poster ta fichier Input"


  • Moderator
    Team

    @pierre bonjour
    tu edites le fichier /recalbox/share/system/configs/mupen64/InputAutoCfg.ini et tu postes son contenu sur le forum.



  • bonjour
    depuis la maj de recalbox ma manette n64 ne fonctionne plus
    j'ai voulu refaire la manipulation mais je nais plus acces a:
    /recalbox/share/system/configs/mupen64/InputAutoCfg.ini.
    codialement


  • Moderator
    Team

    @pierre
    développe, comment ça ? expliques pas d'accès ?


Log in to reply
 

Want to support us ?

Join us on :

173
Online

29688
Users

14865
Topics

111999
Posts

Looks like your connection to Recalbox Forum was lost, please wait while we try to reconnect.